develooper Front page | perl.perl5.porters | Postings from May 2002

[ID 20020528.001] perl 5.6.1 will not compile under gcc 3.1

Thread Previous
From:
King, Daniel
Date:
May 28, 2002 12:48
Subject:
[ID 20020528.001] perl 5.6.1 will not compile under gcc 3.1
Message ID:
EX-20020528-144904-0002@exchange.fiserv-missive1.fiserv.net
This is a bug report for perl from daniel.king@fiserv.com,
generated with the help of perlbug 1.33 running under perl v5.6.1.
 
-----------------------------------------------------------------
This bug report was generated from the ‘perlbug’ script of my last working perl compile.
 
Perl 5.6.1 (as well as the development release 5.7.3) will not compile for the system specified using gcc 3.1.
 
I was able to build perl 5.6.1 under gcc 3.0.4 without too many problems.  Once I’d upgraded to gcc 3.1, perl would not compile.  Even the simple ./Compile –de gives:
 
-----
$./Configure –de
…
$make
make: *** No rule to make target `<built-in>', needed by `miniperlmain.o'.  Stop.
-----
 
I’m using GNU make, binutils, bison, flex, etc.
 
Any information would be greatly appreciated!
-----------------------------------------------------------------
---
Flags:
    category=install
    severity=high
---
Site configuration information for perl v5.6.1:
 
Configured by daniel.king at Mon Apr 29 16:56:29 EDT 2002.
 
Summary of my perl5 (revision 5.0 version 6 subversion 1) configuration:
  Platform:
    osname=hpux, osvers=11.00, archname=PA-RISC2.0
    uname='hp-ux fiserv b.11.00 b 9000800 76108 16-user license '
    config_args='-Dcc=gcc -Dprefix=/usr/local -de'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=undef
    useperlio=undef d_sfio=undef uselargefiles=undef usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
  Compiler:
    cc='gcc', ccflags ='-D_HPUX_SOURCE -L/lib/pa1.1 -DUINT32_MAX_BROKEN -fno-strict-aliasing',
    optimize='-O',
    cppflags='-D_HPUX_SOURCE -L/lib/pa1.1 -DUINT32_MAX_BROKEN -fno-strict-aliasing'
    ccversion='', gccversion='3.0.4', gccosandvers='hpux11.00'
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=4321
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
    alignbytes=8, usemymalloc=y, prototype=define
  Linker and Libraries:
    ld='ld', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /lib /usr/lib /usr/ccs/lib
    libs=-lnsl -lnm -lndbm -ldld -lm -lc -lndir -lcrypt -lsec
    perllibs=-lnsl -lnm -ldld -lm -lc -lndir -lcrypt -lsec
    libc=/lib/libc.sl, so=sl, useshrplib=false, libperl=libperl.a
  Dynamic Linking:
    dlsrc=dl_hpux.xs, dlext=sl, d_dlsymun=undef, ccdlflags='-Wl,-E -Wl,-B,deferred '
    cccdlflags='-fpic', lddlflags='-b -L/usr/local/lib'
 
Locally applied patches:
 
 
---
@INC for perl v5.6.1:
    /usr/local/lib/perl5/5.6.1/PA-RISC2.0
    /usr/local/lib/perl5/5.6.1
    /usr/local/lib/perl5/site_perl/5.6.1/PA-RISC2.0
    /usr/local/lib/perl5/site_perl/5.6.1
    /usr/local/lib/perl5/site_perl
    .
---
Environment for perl v5.6.1:
    HOME=/home/daniel.king
    LANG (unset)
    LANGUAGE (unset)
    LD_LIBRARY_PATH (unset)
    LOGDIR (unset)
    PATH=<OMITTED>
    PERL_BADLANG (unset)
    SHELL=/sbin/sh
    SHLIB_PATH=<OMITTED>
 

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About